Skip to content

Update a site​

PUT
/sites/{id}

Authorizations​

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Parameters​

Path Parameters

id*
Type
string
Required

Request Body​

application/json
JSON
{
  
"name": "string",
  
"color": "string",
  
"ai_settings": "string",
  
"email_settings": "string",
  
"widget": "string",
  
"portal": "string",
  
"branding": "string",
  
"public_theme": "string",
  
"knowledge_sources": "string",
  
"kumbukum_settings": {
  
  
"enabled": true,
  
  
"base_url": "string",
  
  
"mcp_url": "string",
  
  
"project_id": "string",
  
  
"auth_type": "string",
  
  
"access_token": "string",
  
  
"access_token_configured": true,
  
  
"read_enabled": true,
  
  
"write_enabled": true,
  
  
"collections": [
  
  
  
"string"
  
  
],
  
  
"widget_project_id": "string",
  
  
"widget_search_sources": [
  
  
  
"string"
  
  
],
  
  
"last_status": "string",
  
  
"last_error": "string",
  
  
"last_checked_at": "string"
  
}
}

Responses​

OK

application/json
JSON
{
  
"site": "string"
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​

Powered by VitePress OpenAPI